var gmessagepane;
var pref = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefBranch);

function setMsgPane() {

  //update reference
  gmessagepane = getMessageBrowser();
  if (gmessagepane) {
    gmessagepane.addEventListener("load", setViewQuotecolor, true);
  }

}

const QCMailPaneConfigObserver = {
  observe: function(subject, topic, prefName) {
    // verify that we're changing the mail pane config pref
    if (topic == "nsPref:changed")
      setMsgPane();
  }
};

function unload() {
  pref.QueryInterface(Components.interfaces.nsIPrefBranchInternal);
  pref.removeObserver("mail.pane_config.dynamic", QCMailPaneConfigObserver);
}